stereo
Device proxies

The stereo proxy provides an interface to a stereo device. More...

## Classes

struct | playerc_stereo_t
| stereo proxy data. More...

## Typedefs

typedef player_pointcloud3d_stereo_element_t | playerc_pointcloud3d_stereo_element_t
| Structure describing a single 3D pointcloud element. More...

## Functions

PLAYERC_EXPORT playerc_stereo_t * | playerc_stereo_create (playerc_client_t *client, int index)
| Create a stereo proxy. More...
PLAYERC_EXPORT void | playerc_stereo_destroy (playerc_stereo_t *device)
| Destroy a stereo proxy. More...
PLAYERC_EXPORT int | playerc_stereo_subscribe (playerc_stereo_t *device, int access)
| Subscribe to the stereo device. More...
PLAYERC_EXPORT int | playerc_stereo_unsubscribe (playerc_stereo_t *device)
| Un-subscribe from the stereo device. More...

## Detailed Description

The stereo proxy provides an interface to a stereo device.

## Typedef Documentation

typedef player_pointcloud3d_stereo_element_t playerc_pointcloud3d_stereo_element_t

Structure describing a single 3D pointcloud element.

## Function Documentation

PLAYERC_EXPORT playerc_stereo_t* playerc_stereo_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a stereo proxy.

PLAYERC_EXPORT void playerc_stereo_destroy | ( | playerc_stereo_t * | device | ) |

Destroy a stereo proxy.

PLAYERC_EXPORT int playerc_stereo_subscribe | ( | playerc_stereo_t * | device,
|  | int | access
| ) |  |

Subscribe to the stereo device.

PLAYERC_EXPORT int playerc_stereo_unsubscribe | ( | playerc_stereo_t * | device | ) |

Un-subscribe from the stereo device.

Last updated 12 September 2005 21:38:45